<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
    <div class="container bg-light">
        <div class="text-center mb-4">
            <h3>Chi tiết User</h3>
        </div>
        <div class="row">
            <div class="col-md-6 mx-auto">
                <div class="form-group">

                    <label for="">First Name</label>
                    <input id="inp-firstname" placeholder="First Name.." class="form-control" type="text">
                </div>
                <div class="form-group">

                    <label for="">Last Name</label>
                    <input id="inp-lastname" placeholder="Last Name..." class="form-control" type="text">
                </div>
                <div class="form-group">

                    <label for="">Country</label>
                    <select class="form-control" name="" id="select-country">
                        <option value="VN">Việt Nam</option>
                        <option value="USA">USA</option>
                        <option value="AUS">Australia</option>
                        <option value="CAN">Canada</option>
                    </select>

                </div>
                <div class="form-group">
                    <label for="">Customer Type</label>
                    <select class="form-control" name="" id="select-customerType">
                        <option value="Standard">Standard</option>
                        <option value="Gold">Gold</option>
                        <option value="Premium">Premium</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="">Subject</label>
                    <textarea id="inp-subject" rows="5" placeholder="Subject..." class="form-control"
                        type="text">
                    </textarea>

                </div>
                <div class="form-group">
                    <a class="btn btn-link" href="Task%2032.50.html">Quay lại</a>
                    <button type="button" id="btn-add-user" class="btn btn-success w-25 float-right">Thêm mới</button>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    
    $(document).ready(function () {
        
        $("#btn-add-user").on("click", function () {
            onBtnAddUser()
        })
    })

    function onBtnAddUser() {
        console.log("Thêm mới user được ấn")
        var vDataOjb = getFormData()
        var isCheck = validateData(vDataOjb)
        if (isCheck) {
            callApiInsertUser(vDataOjb)
        }
    }
    
    function getFormData() {
        var vNewOjb = new Object();
        vNewOjb.firstname = $.trim($("#inp-firstname").val());
        vNewOjb.lastname = $.trim($("#inp-lastname").val());
        vNewOjb.subject = $.trim($("#inp-subject").val());
        vNewOjb.country = $.trim($("#select-country").val());
        vNewOjb.customerType = $.trim($("#select-customerType").val());
        vNewOjb.registerStatus = $.trim($("#select-registerStatus").val());
        return vNewOjb
    }
    function validateData(paramOjb) {
        if (paramOjb.firstname == "") {
            alert("Hãy nhập First Name")
            return false
        }
        if (paramOjb.lastname == "") {
            alert("Hãy nhập LAst Name")
            return false
        }
        if (paramOjb.subject == "") {
            alert("Hãy nhập Subject")
            return false
        }
        if (paramOjb.country == "") {
            alert("Hãy nhập country")
            return false
        }
        if (paramOjb.customerType == "") {
            alert("Hãy nhập customerType")
            return false
        }
         return true

    }
    function callApiInsertUser(paramOjb) {
        $.ajax({
            url: "http://203.171.20.210:8080/crud-api/users/",
            type: "POST",
            contentType: "application/json;charset=UTF-8 ",
            data: JSON.stringify(paramOjb),
            success: function (paramResponse) {
                alert("Thêm User " + paramResponse.id + " thành công")

                console.log(paramResponse)

                window.location.href = "Task%2032.50.html"
            },
            error: function (paramError) {
                alert("Thêm User " + paramResponse.id + " thất bại")
                console.log(paramError)
            }

        })

    }
</script>

</html>